Package org.picocontainer.injectors

# Class SingleMemberInjector.ParameterCannotBeNullException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.picocontainer.PicoException
org.picocontainer.PicoCompositionException
org.picocontainer.injectors.SingleMemberInjector.ParameterCannotBeNullException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `SingleMemberInjector<T>`

public static class SingleMemberInjector.ParameterCannotBeNullException extends PicoCompositionException

See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`String`
`getParameterName()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getParameterName

public String getParameterName()